curl -X POST https://hapi.7331.org/v1/bot/batch \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{
"commands": [
{
"command": "help",
"count": 1,
"user_discord_id": 123456789012345678,
"guild_discord_id": 987654321098765432,
"timestamp": "2025-01-15T12:00:00Z"
},
{
"command": "stats",
"count": 1,
"user_discord_id": 123456789012345678,
"guild_discord_id": 987654321098765432,
"timestamp": "2025-01-15T12:01:00Z"
}
]
}'
{
"message": "Batch update processed successfully",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Efficiently report multiple command executions at once.
curl -X POST https://hapi.7331.org/v1/bot/batch \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{
"commands": [
{
"command": "help",
"count": 1,
"user_discord_id": 123456789012345678,
"guild_discord_id": 987654321098765432,
"timestamp": "2025-01-15T12:00:00Z"
},
{
"command": "stats",
"count": 1,
"user_discord_id": 123456789012345678,
"guild_discord_id": 987654321098765432,
"timestamp": "2025-01-15T12:01:00Z"
}
]
}'
{
"message": "Batch update processed successfully",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Show Command object
curl -X POST https://hapi.7331.org/v1/bot/batch \
-H "Content-Type: application/json" \
-H "X-API-Key: your-bot-api-key" \
-d '{
"commands": [
{
"command": "help",
"count": 1,
"user_discord_id": 123456789012345678,
"guild_discord_id": 987654321098765432,
"timestamp": "2025-01-15T12:00:00Z"
},
{
"command": "stats",
"count": 1,
"user_discord_id": 123456789012345678,
"guild_discord_id": 987654321098765432,
"timestamp": "2025-01-15T12:01:00Z"
}
]
}'
{
"message": "Batch update processed successfully",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-15T12:30:00Z"
}
Was this page helpful?